Skip to content

connections_list

GET
/api/connections
curl --request GET \
--url https://example.com/api/connections \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

List information related to all Connection objects.

X-Workspace
required
string format: uuid

Workspace ID

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

plugin_type
string

Filter connections by plugin type

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Lightweight serializer for connection list responses.

object
id
required
string format: uuid
name
required
string
nullable
plugin
string
nullable <= 100 characters
shared_params
required
Array<object>

Serializer for handling connection-related data.

object
key
string
nullable <= 100 characters
value
required
string
plugin_obj
required

Return serialized data for a plugin object based on the plugin class.

Parameters

obj : Connection The object containing information about a plugin.

Returns

dict An instance of the PluginSerializer class with the plugin class obtained from get_plugin_class(obj.plugin) and the context set to include the request from self.context.

object
key
additional properties
credential
required
One of:
object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : Connection The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_time
required

Return the last edited time of an object’s credential for the current user.

string
nullable
workspace
string format: uuid
status
required

Return the status of a credential object associated with a user.

Parameters

obj : Connection The object containing information related to the credential.

Returns

str A string representing the status of the credential. Returns “not_connected” if no credential is found or an empty string in case of an exception.

string
is_sandbox
required

Determine whether the connection is a sandbox one.

Parameters

obj : Connection The object containing the plugin and shared parameters.

Returns

bool True if the connection uses a sandbox URL, False otherwise.

boolean

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "query_validation_error",
"message": "Invalid query parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "type",
"code": "invalid",
"message": "<parameter_value> does not exist."
}
]
}